summaryrefslogtreecommitdiffstats
path: root/multimedia/myththemes
diff options
context:
space:
mode:
author David Somero <dsomero@hotmail.com>2010-05-11 20:01:22 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:01:22 +0200
commit9d0e9de3b65161ebac7781c2b19b698e185deaf7 (patch)
tree95c4a75dbf2fa3abc93d496fe3aa35dd5eeab240 /multimedia/myththemes
parent9e1e1b679615b292f8abf467a953df1164911674 (diff)
downloadslackbuilds-9d0e9de3b65161ebac7781c2b19b698e185deaf7.tar.gz
slackbuilds-9d0e9de3b65161ebac7781c2b19b698e185deaf7.tar.xz
multimedia/myththemes: Added to 12.0 repository
Diffstat (limited to 'multimedia/myththemes')
-rw-r--r--multimedia/myththemes/README2
-rw-r--r--multimedia/myththemes/myththemes.SlackBuild67
-rw-r--r--multimedia/myththemes/myththemes.info8
-rw-r--r--multimedia/myththemes/slack-desc19
4 files changed, 96 insertions, 0 deletions
diff --git a/multimedia/myththemes/README b/multimedia/myththemes/README
new file mode 100644
index 0000000000..b381f60432
--- /dev/null
+++ b/multimedia/myththemes/README
@@ -0,0 +1,2 @@
+Extra themes for Mythtv
+Mythtv, which is also available at SlackBuilds.org, is required for this.
diff --git a/multimedia/myththemes/myththemes.SlackBuild b/multimedia/myththemes/myththemes.SlackBuild
new file mode 100644
index 0000000000..d4c7b61f55
--- /dev/null
+++ b/multimedia/myththemes/myththemes.SlackBuild
@@ -0,0 +1,67 @@
+#!/bin/sh
+
+# Slackware build script for myththemes
+# http://www.mythtv.org/
+
+# Copyright 2006-2007 David Somero (dsomero@hotmail.com)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=myththemes
+VERSION=0.20.2
+ARCH=noarch
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=${TMP}/package-${PRGNAM}
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+./configure --prefix=/usr
+
+qmake $PRGNAM.pro
+make
+make INSTALL_ROOT="$PKG" install
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+( cd $PKG/usr/doc ; ln -s $PRGNAM-$VERSION $PRGNAM )
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/multimedia/myththemes/myththemes.info b/multimedia/myththemes/myththemes.info
new file mode 100644
index 0000000000..b5080894dd
--- /dev/null
+++ b/multimedia/myththemes/myththemes.info
@@ -0,0 +1,8 @@
+PRGNAM="myththemes"
+VERSION="0.20.2"
+HOMEPAGE="http://www.mythtv.org/"
+DOWNLOAD="http://ftp.osuosl.org/pub/mythtv/myththemes-0.20.2.tar.bz2"
+MD5SUM="17649c90c1b2983e3b003f5169c83631"
+MAINTAINER="David Somero"
+EMAIL="dsomero@hotmail.com "
+APPROVED="rworkman"
diff --git a/multimedia/myththemes/slack-desc b/multimedia/myththemes/slack-desc
new file mode 100644
index 0000000000..0e7410c09e
--- /dev/null
+++ b/multimedia/myththemes/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------|
+myththemes: myththemes (Mythtv Themes)
+myththemes:
+myththemes: Extra themes for Mythtv
+myththemes:
+myththemes: http://www.mythtv.org/
+myththemes:
+myththemes:
+myththemes:
+myththemes:
+myththemes:
+myththemes: